NX Open C++ Reference Guide
|
Represents a CAE::NodeCreateBuilder . More...
Public Member Functions | |
NXOpen::CAE::FENode * | CommitNode () |
Commits the Builder, which creates the node as it was defined and returns the newly create node. | |
NXOpen::CoordinateSystem * | Csys () |
Returns the csys Created in NX5.0.0. | |
int | Increment () |
Returns the increment Created in NX5.0.0. | |
int | Label () |
Returns the label Created in NX5.0.0. | |
NXOpen::Expression * | PAngle () |
Returns the p angle Created in NX5.0.0. | |
NXOpen::Point * | Point () |
Returns the point Created in NX5.0.0. | |
void | SetCsys (NXOpen::CoordinateSystem *csys) |
Sets the csys Created in NX5.0.0. | |
void | SetIncrement (int increment) |
Sets the increment Created in NX5.0.0. | |
void | SetLabel (int label) |
Sets the label Created in NX5.0.0. | |
void | SetPoint (NXOpen::Point *point) |
Sets the point Created in NX5.0.0. | |
NXOpen::Expression * | TAngle () |
Returns the t angle Created in NX5.0.0. | |
NXOpen::Expression * | X () |
Returns the x Created in NX5.0.0. | |
NXOpen::Expression * | Y () |
Returns the y Created in NX5.0.0. | |
NXOpen::Expression * | Z () |
Returns the z Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::NodeCreateBuilder .
If you want to get the newly created node returned from this builder use the method CAE::NodeCreateBuilder::CommitNode instead of Builder::Commit . They do the same thing except no node is returned from Builder::Commit since this node is of type CAE::FENode and not of type NXObject
To create a new instance of this class, use CAE::NodeElementManager::CreateNodeCreateBuilder
Created in NX5.0.0.
NXOpen::CAE::FENode* NXOpen::CAE::NodeCreateBuilder::CommitNode | ( | ) |
Commits the Builder, which creates the node as it was defined and returns the newly create node.
The method @link Builder::Commit Builder::Commit@endlink will also do the same thing except no node are returned and @link Builder::GetCommittedObjects Builder::GetCommittedObjects@endlink can't be used since this node is not of type @link NXObject NXObject@endlink @return new Node
Created in NX8.0.3.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CoordinateSystem* NXOpen::CAE::NodeCreateBuilder::Csys | ( | ) |
Returns the csys
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::NodeCreateBuilder::Increment | ( | ) |
Returns the increment
Created in NX5.0.0.
License requirements : None
int NXOpen::CAE::NodeCreateBuilder::Label | ( | ) |
Returns the label
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::NodeCreateBuilder::PAngle | ( | ) |
Returns the p angle
Created in NX5.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAE::NodeCreateBuilder::Point | ( | ) |
Returns the point
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::NodeCreateBuilder::SetCsys | ( | NXOpen::CoordinateSystem * | csys | ) |
Sets the csys
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
csys | csys |
void NXOpen::CAE::NodeCreateBuilder::SetIncrement | ( | int | increment | ) |
Sets the increment
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
increment | increment |
void NXOpen::CAE::NodeCreateBuilder::SetLabel | ( | int | label | ) |
Sets the label
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
label | label |
void NXOpen::CAE::NodeCreateBuilder::SetPoint | ( | NXOpen::Point * | point | ) |
Sets the point
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
point | point |
NXOpen::Expression* NXOpen::CAE::NodeCreateBuilder::TAngle | ( | ) |
Returns the t angle
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::NodeCreateBuilder::X | ( | ) |
Returns the x
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::NodeCreateBuilder::Y | ( | ) |
Returns the y
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::NodeCreateBuilder::Z | ( | ) |
Returns the z
Created in NX5.0.0.
License requirements : None